Kodi Community Forum

Full Version: pvr.hts (2.1.17.1) wont connect to tvheadend backend on qnap (arm 3.2.18)
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
when configured added-on tvheadend frontend - pvr.hts (2.1.17.1) connecting to tvheadend backend on Qnap NAS (arm 3.2.18)

I am getting the following logs in the kodi.log and the Kodi GUI keep showing "Connection Lost" at the right bottom corner

12:48:29 T:139636329363200 ERROR: AddOnLog: Tvheadend HTSP Client: pvr.hts - failed to transmit
12:48:29 T:139636329363200 ERROR: AddOnLog: Tvheadend HTSP Client: pvr.hts - failed to send hello
12:48:30 T:139636357719808 ERROR: ADDON: Dll Tvheadend HTSP Client - Client returned bad status (1) from Create and is not usable
12:48:30 T:139636357719808 WARNING: UpdateAndInitialiseClients - failed to create add-on Tvheadend HTSP Client, status = 1
12:48:30 T:139637857634048 NOTICE: Thread AddonStatus pvr.hts start, auto delete: true
12:48:31 T:139636329363200 ERROR: AddOnLog: Tvheadend HTSP Client: pvr.hts - server htsp version (v6) does not match minimum htsp version required by client (v10)
12:48:46 T:139636329363200 ERROR: Previous line repeats 4796 times.
12:48:46 T:139636329363200 ERROR: AddOnLog: Tvheadend HTSP Client: pvr.hts - failed to write (Invalid argument)
12:48:46 T:139636329363200 ERROR: AddOnLog: Tvheadend HTSP Client: pvr.hts - failed to transmit
12:48:46 T:139636329363200 ERROR: AddOnLog: Tvheadend HTSP Client: pvr.hts - failed to send hello

Is this really a version missmatch? how do I get around this problem without make changes to my tvheadend backend setup on QNAP which is stable and functioning well to serve other tvhclients
Yeah I get the same issue.... Did you manage to find a solution?
What version is your tvh backend? That looks like an API mismatch - it could be that your back end is just too old - are you still on 3.4, by any chance?

EDIT

3.4 used HTSP v10 - I remember now that support was reintroduced at the last minute with Isengard so that the new addon didn't break 3.4 installations. So, if your server is on v6, then it's even older than that...

EDIT 2

I'm guessing the 3.2.18 in your title is the tvheadend version - so yes, that's definitely the problem, you're using a 3-year-old and no-longer-supported version, I'm afraid.
You'll simply have to upgrade your tvheadend version. Supporting this version in the addon would require too many hacks for it to be worth it.
Hey i have the same issue with the new version of tvheadend. i already reinstalled tvheadend and compiled from source with this solution (https://tvheadend.org/boards/14/topics/17468) but it didnt help.

here are the logs.

kodi [15.2-RC3 Git:b9dd683]
http://paste.ubuntu.com/12637613

tvheadend [4.1-536~g32e14d1]
http://paste.ubuntu.com/12637631
Can you install tvheadend on x86 and see if the same client can connect? If so it's probably a tvheadend bug.
I could raise you this for my RPi2 wit OE >= 5.95.4

http://pastebin.com/KrX38Qj3
Didn't work for me since ~15.x, x64 is working with same setup (Tvh - Sat>IP). I thought that is a problem due to the slowness of the RPi.
What do you mean when you say it works on x64?
I got a RPi2 and some x64 machines (J1900...), all using OE 5.95.5 + Tvh (stable/master latest) + Sat>IP.
The x64 machines are working without a problem and their logs don't show anything related.
If I use the x64 machines as tvh server and connect with the RPi2 hts client it works also without a problem.

It looks like that there is a problem if the connection is aborted at first and/or second try and the client has to retry (could also fit to wwchans problem).
The loading times of the Tvh server is fairly high at the RPi2 (you see the times at the log) and the hts client connection fails at first try.
I could log in at Tvh Web interface and the hts client stills fails to connect - this shouldn't happen I think.